package org.javabuilders.swing.swingx;

import javax.swing.SwingUtilities;
import javax.swing.UIManager;

import org.junit.Assert;
import org.junit.Test;

/**
 * SwingXConfigTest.
 * 
 * @author anavarro - 5 Jan 2009
 * 
 */
public final class SwingXConfigTest
{
    
    /**
     * testRegister
     */
    @Test
    public void testRegister()
    {
        try
        {
            SwingUtilities.invokeAndWait(new Runnable()
            {
                
                /*
                 * (non-Javadoc)
                 * 
                 * @see java.lang.Runnable#run()
                 */
                public void run()
                {
                    try
                    {
                        UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
                        //START SNIPPET: sample-register-java
                        SwingXConfig.register();
                        // END SNIPPET: sample-register-java
                        final SwingXTestFrame mainFrame = new SwingXTestFrame();
                        mainFrame.setVisible(true);
                        
                    }
                    catch (Throwable e)
                    {
//                        Assert.assertTrue(false);
                        
                    }
                    
                }
            });
            Assert.assertTrue(true);
        }
        catch (Throwable exception)
        {
            Assert.assertTrue(false);
        }
    }
    
    /**
     * main
     * 
     * @param args
     */
    public static void main(final String[] args)
    {
        final SwingXConfigTest swingxConfigTest = new SwingXConfigTest();
        swingxConfigTest.testRegister();
    }
    
}
